#include "ti86asm.inc"

_dispahl	equ	$4a33

.org _asm_exec_ram

  nop
  jp ProgStart

.dw 0,ShellTitle

ShellTitle:
.db "Contrast manager",0

ProgStart:
  call _homeup
  ld a,($c008)
  ld l,a
  xor a
  ld h,a
  call _dispahl
Key_Loop:
  call _getkey
  ld hl,$c008
  sub $03
  jr z,Contr_Up
  dec a
  jr z,Contr_Dn
  sub $03
  jr nz, Key_Loop
  ret

Contr_Up:
  ld a,(hl)
  cp 31
  jr z,Key_Loop
  inc a
  jr Put_Contr

Contr_Dn:
  ld a,(hl)
  or a
  jr z,Key_Loop
  dec a

Put_Contr:
  ld (hl),a
  out (2),a
  jr ProgStart

.end